{coordinates}: Calculate routes

API: project-osrm.org:openstreetmap-osrm-api
Endpoint: /route/v1/{profile}/{coordinates}
Response format: application/json
Charset: utf-8
Auth: none
Method: GET
Last Status: 200
Latency: 129ms

Description

Calculates the fastest route between coordinates using the given profile

Examples (1)

Route from Berlin Mitte to Torstraße probe-gate
curl 'https://router.project-osrm.org/route/v1/driving/13.388860,52.517037;13.397634,52.529407?overview=false'
import requests

resp = requests.get(
    "https://router.project-osrm.org/route/v1/driving/13.388860,52.517037;13.397634,52.529407",
    params={
        'overview': 'false',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("project-osrm")
result = api.fetch("route/v1/{profile}/{coordinates}", overview="false")

for item in result:
    print(item)
const resp = await fetch("https://router.project-osrm.org/route/v1/driving/13.388860,52.517037;13.397634,52.529407?overview=false");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 01:12:57.454864 200 129ms
2026-04-15 02:30:43.729628 200 207ms
2026-04-14 03:21:46.416819 200 198ms
2026-04-12 12:33:30.714238 200 197ms
2026-04-10 03:19:40.807021 200 72ms
2026-04-09 00:11:32.652486 200 160ms
2026-04-08 07:10:34.357032 200 170ms
2026-04-07 00:43:12.304770 200 215ms
2026-04-05 18:59:07.024326 ERR
2026-04-05 00:49:53.093042 200 199ms
2026-04-04 03:05:00.210013 200 241ms
2026-04-03 13:15:07.082079 200 211ms
2026-03-30 02:41:19.254940 200 117ms
2026-03-29 13:21:13.248104 200 97ms